> ## Documentation Index
> Fetch the complete documentation index at: https://www.activepieces.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List Project Member



## OpenAPI

````yaml GET /v1/project-members
openapi: 3.1.0
info:
  title: Activepieces Documentation
  version: 0.0.0
servers:
  - url: https://cloud.activepieces.com/api
    description: Production Server
security: []
externalDocs:
  url: https://www.activepieces.com/docs
  description: Find more info here
paths:
  /v1/project-members:
    get:
      tags:
        - project-members
      parameters:
        - schema:
            type: string
          in: query
          name: projectId
          required: true
        - schema:
            type: string
          in: query
          name: projectRoleId
          required: false
        - schema:
            type: string
          in: query
          name: cursor
          required: false
        - schema:
            type: number
          in: query
          name: limit
          required: false
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        created:
                          type: string
                        updated:
                          type: string
                        platformId:
                          type: string
                          pattern: ^[0-9a-zA-Z]{21}$
                        userId:
                          type: string
                          pattern: ^[0-9a-zA-Z]{21}$
                        projectId:
                          type: string
                        projectRoleId:
                          type: string
                          pattern: ^[0-9a-zA-Z]{21}$
                        user:
                          $ref: '#/components/schemas/user'
                        projectRole:
                          type: object
                          properties:
                            id:
                              type: string
                            created:
                              type: string
                            updated:
                              type: string
                            name:
                              type: string
                            permissions:
                              type: array
                              items:
                                type: string
                            platformId:
                              anyOf:
                                - type: string
                                - type: 'null'
                            type:
                              type: string
                            userCount:
                              type: number
                          required:
                            - id
                            - created
                            - updated
                            - name
                            - permissions
                            - type
                          additionalProperties: false
                        project:
                          type: object
                          properties:
                            id:
                              type: string
                            displayName:
                              type: string
                          required:
                            - id
                            - displayName
                          additionalProperties: false
                      required:
                        - id
                        - created
                        - updated
                        - platformId
                        - userId
                        - projectId
                        - projectRoleId
                        - user
                        - projectRole
                        - project
                      additionalProperties: false
                  next:
                    anyOf:
                      - type: string
                      - type: 'null'
                  previous:
                    anyOf:
                      - type: string
                      - type: 'null'
                required:
                  - data
                additionalProperties: false
      security:
        - apiKey: []
components:
  schemas:
    user:
      $schema: https://json-schema.org/draft/2020-12/schema
      $id: '#/components/schemas/user'
      type: object
      properties:
        id:
          type: string
        email:
          type: string
        firstName:
          type: string
        status:
          type: string
          enum:
            - ACTIVE
            - INACTIVE
        externalId:
          anyOf:
            - type: string
            - type: 'null'
        platformId:
          anyOf:
            - type: string
            - type: 'null'
        platformRole:
          type: string
          enum:
            - ADMIN
            - MEMBER
            - OPERATOR
        lastName:
          type: string
        created:
          type: string
        updated:
          type: string
        lastActiveDate:
          anyOf:
            - type: string
            - type: 'null'
        imageUrl:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - id
        - email
        - firstName
        - status
        - platformRole
        - lastName
        - created
        - updated
      additionalProperties: false
  securitySchemes:
    apiKey:
      type: http
      description: Use your api key generated from the admin console
      scheme: bearer

````